Skip to content
Start here

Get Account Credits

client.billing.credits.get(CreditGetParams { account_id } params, RequestOptionsoptions?): CreditGetResponse { confirmed_balance_cents, currency, days_remaining, 7 more }
GET/accounts/{account_id}/billing/credits

Gets the credit balance and eligibility for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing WriteBilling Read
ParametersExpand Collapse
params: CreditGetParams { account_id }
account_id: string

Identifier

maxLength32
ReturnsExpand Collapse
CreditGetResponse { confirmed_balance_cents, currency, days_remaining, 7 more }
confirmed_balance_cents?: number

The confirmed credit balance in cents.

formatint64
currency?: string

Currency of the credit balance.

days_remaining?: number

Days remaining until the credits expire.

formatint64
eligible?: boolean

Whether the account is eligible to receive credits.

has_record?: boolean

Whether a credit record exists for the account.

original_amount_cents?: number

The original credit amount in cents.

formatint64
percent_consumed?: number

Percentage of the original credit amount consumed.

formatdouble
projected_depletion_date?: string

Projected date when the credits will be depleted.

formatdate-time
valid_from?: string

When the credits become valid.

formatdate-time
valid_to?: string

When the credits expire.

formatdate-time

Get Account Credits

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const credit = await client.billing.credits.get({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' });

console.log(credit.valid_from);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "confirmed_balance_cents": 5000,
    "currency": "USD",
    "days_remaining": 180,
    "eligible": true,
    "has_record": true,
    "original_amount_cents": 10000,
    "percent_consumed": 50,
    "projected_depletion_date": "2024-07-01T00:00:00Z",
    "valid_from": "2024-01-01T00:00:00Z",
    "valid_to": "2025-01-01T00:00:00Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "confirmed_balance_cents": 5000,
    "currency": "USD",
    "days_remaining": 180,
    "eligible": true,
    "has_record": true,
    "original_amount_cents": 10000,
    "percent_consumed": 50,
    "projected_depletion_date": "2024-07-01T00:00:00Z",
    "valid_from": "2024-01-01T00:00:00Z",
    "valid_to": "2025-01-01T00:00:00Z"
  },
  "success": true
}